package admin

import "server/dao"

type TunnelService struct{}

func (ts *TunnelService) QueryAllTunnels() ([]dao.Tunnel, error) {
	return dao.QueryAllTunnels()
}

func (ts *TunnelService) CreateTunnel(tunnel dao.Tunnel) error {
	return tunnel.CreateTunnel()
}

func (ts *TunnelService) UpdateTunnel(tunnel dao.Tunnel) error {
	return tunnel.UpdateTunnel()
}

func (ts *TunnelService) DeleteTunnel(id int) error {
	return dao.DeleteTunnel(id)
}
